#!/bin/bash
echo ""
echo "Script de instalación en Linux (Ubuntu) del modem usb Speedtouch 330"
echo ""
echo "Creado por kenoby31 - kenoby31@hotmail.com"
echo ""
echo "Este script viene configurado con las opciones por defecto de telefónica"
echo "así que no debería modificar nada a no ser que lo crea necesario"
echo "NOTA, este script sólo funciona con conexiones PPPoE"
echo ""
echo "¿Qué desea hacer?"
echo ""
echo " 1 -> Instalar con las opciones por defecto"
echo " 2 -> Modificar nombre de usuario y/o contraseña de conexión"
echo " 3 -> Modificar valores VP.VC"
echo " 4 -> Salir"
echo ""
echo ""
echo "Escriba el numero de la opción y pulse enter..."
read orden
if [ "$orden" = "1" ]; then
echo "descomprimiendo y extrayendo firmware..."
echo ""
unzip SpeedTouch330_firmware_3012.zip &&
chmod +x firmware-extractor &&
./firmware-extractor ZZZL_3.012
echo ""
echo "firmware descomprimido"
echo ""
echo "firmware extraido"
echo ""
echo "copiando firmware al sistema..."
echo ""
sudo cp speedtch* /lib/hotplug/firmware
echo ""
sudo cp speedtch* /lib/firmware
echo ""
echo "firmware copiado al sistema"
echo ""
echo "copiando chap-secrets..."
echo ""
sudo install -m 600 secrets /etc/ppp/chap-secrets &&
sudo install -m 600 secrets /etc/ppp/pap-secrets
echo ""
echo "chap-secrets copiado"
echo ""
echo "creando una conexión con br2684ctl para ejecutar PPPoE sobre ATM..."
echo ""
sudo install -m 755 br2684ctl /usr/sbin
echo ""
echo "conexión con br2684ctl creada"
echo ""
echo "instalando pppd..."
echo ""
sudo install -m 600 speedtch /etc/ppp/peers
echo ""
echo "pppd instalado"
echo ""
echo "Instalando y configurando el bootscript..."
echo ""
sudo install -m 744 dial /etc/init.d &&
sudo ln -s ../init.d/dial /etc/rc2.d/S95dial &&
sudo ln -sf ppp/resolv.conf /etc/resolv.conf
echo ""
echo "Bootscript instalado y configurado"
echo ""
echo "Todo listo, reinicie la máquina y debería estar online"
echo ""
echo "Hasta otra"
echo ""
echo "kenoby31@hotmail.com"
echo ""
elif [ "$orden" = "2" ]; then
sudo gedit speedtch &&
sudo gedit secrets
elif [ "$orden" = "3" ]; then
sudo gedit dial
elif [ "$orden" = "4" ]; then
exit
fi
#si tienes alguna sugerencia comunicamelo a kenoby31@hotmail.com, gracias, un saludo.
#GPL Javi
#FIN
